package routes

import (
	"git.espin.casa/albert/cml04-falcon-system/handset/handlers"
	"git.espin.casa/albert/cml04-falcon-system/handset/publisher"
	"github.com/julienschmidt/httprouter"
)

func CreateRoutes(r *httprouter.Router, publisher publisher.Publisher) {
	r.GET("/", handlers.IndexHandler())
	r.GET("/barcode/:barcode", handlers.BarCodeHandler(publisher))
}
