/*
Copyright © 2024 NAME HERE <EMAIL ADDRESS>
*/
package cmd

import (
	"fmt"

	"github.com/spf13/cobra"
)

// bundleCmd represents the bundle command
var bundleCmd = &cobra.Command{
	Use:   "bundle",
	Short: "bundle service manager.",
	Long:  "",
	Run: func(cmd *cobra.Command, args []string) {
		fmt.Println("bundle called")
	},
}

func init() {
	rootCmd.AddCommand(bundleCmd)

	// flags
	bundleCmd.Flags().String("db-username", "postgres", "database username")
	bundleCmd.Flags().String("db-password", "Me8140@01", "database user password")
	bundleCmd.Flags().String("db-host", "db", "database host address")
	bundleCmd.Flags().Int("db-port", 5432, "database tcp port")
	bundleCmd.Flags().String("db-name", "falcon", "database user password")
	bundleCmd.Flags().String("nats-host", "nats", "nats.io broker host address")
	bundleCmd.Flags().Int("nats-port", 4222, "nats.io broker tcp port")
	bundleCmd.Flags().String("log-level", "debug", "log level trace")
}
